Bug 1511786 - 4.13+ kernels (nouveau) don't provide nv_backlight
Summary: 4.13+ kernels (nouveau) don't provide nv_backlight
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Karol Herbst
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1515205 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 07:19 UTC by Václav Kadlčík
Modified: 2018-11-30 20:46 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:46:16 UTC


Attachments (Terms of Use)
"journalctl -b" and "Xorg.0.log" with a 4.12 kernel (*.OK) and a 4.13 kernel (*.BAD) (52.29 KB, application/octet-stream)
2017-11-10 07:19 UTC, Václav Kadlčík
no flags Details

Description Václav Kadlčík 2017-11-10 07:19:18 UTC
Created attachment 1350331 [details]
"journalctl -b" and "Xorg.0.log" with a 4.12 kernel (*.OK) and a 4.13 kernel (*.BAD)

Description of problem:

On my machine (Lenovo P50 with NVIDIA GM107), kernel (or the
nouveau driver specifically, I suppose) don't provide the
/sys/devices/*/nv_backlight/ directory and I cannot change
brightness of the display. The default brightness level is
too dim for me so I have to use an older kernel.

4.12 kernels (e.g. kernel-4.12.14-300.fc26.x86_64) work fine.
Anything 4.13+ does not work, last tested & broken are:
 * kernel-4.13.11-200.fc26.x86_64 (regular Fedora 26)
 * kernel-4.14.0-0.rc8.git2.2.fc28.x86_64 (rawhide kernel)


Version-Release number of selected component (if applicable):

kernel-4.13.11-200.fc26.x86_64
xorg-x11-drv-nouveau-1.0.15-1.fc26.x86_64 (not a factor I believe)


How reproducible:

100%


Steps to Reproduce:

1. Update your kernel to kernel-4.13.11-200.fc26
2. find /sys -type d -name nv_backlight


Actual results:

None


Expected results:

Something like:
/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/drm/card0/card0-eDP-1/nv_backlight

Comment 1 Václav Kadlčík 2017-11-20 06:49:26 UTC
The bug persists in 4.13.13-200.fc26.x86_64

Comment 2 Václav Kadlčík 2017-12-13 12:24:19 UTC
Moving to Fedora 27

Comment 3 Václav Kadlčík 2018-01-09 06:43:45 UTC
FTR, due to bz1527669 I looked at the latest rawhide kernel
(4.15.0-0.rc6.git0.1.fc28). Brightness is still broken.

Comment 4 Václav Kadlčík 2018-02-14 05:35:44 UTC
(In reply to Václav Kadlčík from comment #3)
> FTR, due to bz1527669 I looked at the latest rawhide kernel
> (4.15.0-0.rc6.git0.1.fc28). Brightness is still broken.

same with 4.16.0-0.rc1.git0.1.fc28

Comment 5 Hans de Goede 2018-02-14 07:34:38 UTC
Changing the component to xorg-x11-drv-nouveau so that the nouveau people will actually become aware of this.

Comment 6 Karol Herbst 2018-02-28 12:44:10 UTC
I send a fix for this to the mailing list

https://lists.freedesktop.org/archives/nouveau/2018-February/029869.html

Comment 7 Laura Abbott 2018-02-28 16:07:31 UTC
*** Bug 1515205 has been marked as a duplicate of this bug. ***

Comment 8 Karol Herbst 2018-03-19 11:30:19 UTC
upstream nouveau git commit: https://github.com/skeggsb/linux/commit/9e75dc61eaa9acd1bff83c3b814ac2af6dc1f64c

I don't know when this is gonna get into the kernel, but it might make sense to queue it for stable whenever it hits drm-next

Comment 9 Václav Kadlčík 2018-03-22 04:27:36 UTC
Good news: kernel-4.16.0-0.rc6.git0.2.fc28.x86_64 works

Comment 10 Karol Herbst 2018-03-22 10:33:52 UTC
yeah, seems like the fix was added upstream to 4.16-rc6: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?h=v4.16-rc6&id=9e75dc61eaa9acd1bff83c3b814ac2af6dc1f64c

Comment 11 Jeremy Cline 2018-03-22 17:07:29 UTC
I don't see it in the stable queue so I've added the patch for f27 and f26. It should be out with the next build (4.15.13).

Comment 12 Fedora Update System 2018-03-27 15:34:19 UTC
kernel-4.15.13-200.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a5ea01b3ea

Comment 13 Fedora Update System 2018-03-27 15:36:41 UTC
kernel-4.15.13-300.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bccbdbe5c3

Comment 14 Fedora Update System 2018-03-27 20:49:42 UTC
kernel-4.15.13-200.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a5ea01b3ea

Comment 15 Fedora Update System 2018-03-27 21:24:50 UTC
kernel-4.15.13-300.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bccbdbe5c3

Comment 16 Fedora Update System 2018-03-30 01:38:39 UTC
kernel-4.15.14-200.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-18754260e4

Comment 17 Fedora Update System 2018-03-30 13:55:53 UTC
kernel-4.15.13-300.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-03-30 14:39:05 UTC
kernel-4.15.14-200.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-18754260e4

Comment 19 Fedora Update System 2018-04-03 14:25:04 UTC
kernel-4.15.14-200.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Ben Cotton 2018-11-27 16:21:34 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Ben Cotton 2018-11-30 20:46:16 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.